Subject: mboned: Re: [magma] suggestion for simplifying IGMPV3/MLDV2 to discardEXCLUDEmode

From: Hui Liu <[email-masked]>
Date: Sat, 10 Jun 2006 11:07:55 +0800

Hi Mark,  

I agree with your comments, the reason is as follows:

The simplification introduces no changes on the message format 
of the group query and report.The member sends two kinds of report
to its connected router: INCLUDE mode report and EXCLUDE<NULL> report, 
which can be recognized by both the simplified and non-simplified protocols.

When a simplified router receives a EXCLUDE(S,G) report, it processes it 
just as the EXCLUDE<NULL> one. 

If  filter-mode on the router is not supported on the router part, the
operation 
just simplified the processing inside the router, not influencing the
outside 
behavior of the protocol. 

The interoperability method with lower versions (i.e. IGMPv1, IGMPv2, and
MLDv1) 
should be the same as that of the IGMPv3 and MLDv2. 

Regards,

Hui  Liu

Marlk wrote: 
> i have not encountered undue difficulties with excluding 
> sources in my snooping implementation, but a "lite" version 
> of the IGMPv3/MLDv2 protocols with no excluded sources seems 
> possible by ignoring source lists in the TO_EX() and IS_EX() 
> messages, producing the following simplified router state 
> machine with no excluded sources:
> 
> 
> Router State   Report Rec'd  New Router State         Actions
> ------------   ------------  ----------------         -------
> 
> INCLUDE (A)    IS_IN (B)     INCLUDE (A+B)            (B)=GMI
> 
> INCLUDE (A)    IS_EX ( )     EXCLUDE ( , )            Delete (A)
>                                                       Group Timer=GMI
> 
> EXCLUDE (X, )  IS_IN (A)     EXCLUDE (X+A, )          (A)=GMI
> 
> EXCLUDE (X, )  IS_EX ( )     EXCLUDE ( , )            Delete (X)
>                                                       Group Timer=GMI
> 
> INCLUDE (A)    ALLOW (B)     INCLUDE (A+B)            (B)=GMI
> 
> INCLUDE (A)    BLOCK (B)     INCLUDE (A)              Send Q(G,A*B)
> 
> INCLUDE (A)    TO_EX ( )     EXCLUDE ( , )            Delete (A)
>                                                       Group Timer=GMI
> 
> INCLUDE (A)    TO_IN (B)     INCLUDE (A+B)            (B)=GMI
>                                                       Send Q(G,A-B)
> 
> EXCLUDE (X, )  ALLOW (A)     EXCLUDE (X+A, )          (A)=GMI
> 
> EXCLUDE (X, )  BLOCK (A)     EXCLUDE (X+A, )          
> (A-X)=Group Timer
>                                                       Send Q(G,A)
> 
> EXCLUDE (X, )  TO_EX ( )     EXCLUDE ( , )            Delete (X)
>                                                       Group Timer=GMI
> 
> EXCLUDE (X, )  TO_IN (A)     EXCLUDE (X+A, )          (A)=GMI
>                                                       Send Q(G,X-A)
>                                                       Send Q(G)
> 
> 
> this would avoid excluding sources while maintaining 
> interoperability with "full" versions of the IGMPv3/MLDv2 
> protocols by adhering to a reduced subset of their router 
> state machine.
> 
> mark
> 
> 
> 
> _______________________________________________
> magma mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/magma
> 

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/